//CFTTXmlReader - [2020-04-13 11:57:46]
#ifndef _CFTTXMLREADER_H_
#define _CFTTXMLREADER_H_

#include "CFTTXmlReaderNode.h"
#include "CFTTFile.h"

/*
0023A854 CFTTXmlReader::~CFTTXmlReader()
00166254 CFTTXmlReader::CFTTXmlReader()
0023A6DC CFTTXmlReader::CFTTXmlReader(char const*,uint,bool,uint)
0023A730 CFTTXmlReader::CFTTXmlReader(char const*,bool,uint)
0023A7C0 CFTTXmlReader::CFTTXmlReader(CFTTFile *,bool,uint)
0023A7E8 CFTTXmlReader::~CFTTXmlReader()
0023A4D8 CFTTXmlReader::OpenFile(CFTTFile *,bool,uint)
0023A5EC CFTTXmlReader::CreateXmlDoc()
0023A6D8 CFTTXmlReader::UncompressFailed()

001E1F92
v7 = (CFTTXmlReader *)operator new(0x14, 0, 0, v15);
CFTTXmlReader::CFTTXmlReader(v7, "PKG:data/x_android/hero_config.dat", 1, 0x35F9F29u);
0x14
*/

class CFTTXmlReader {
public:
  CFTTXmlReader();                                                           //00166254
  CFTTXmlReader(char const *pData, uint dSize, bool isCompress, uint dKey);  //0023A6DC pData是加密的xml二进制数据
  CFTTXmlReader(char const *pName, bool isCompress, uint dKey);              //0023A730 pName xml文件名
  CFTTXmlReader(CFTTFile *pFile, bool isCompress, uint dKey);                //0023A7C0
  virtual ~CFTTXmlReader();                                                  //0023A7E8 0023A854
  void OpenFile(CFTTFile *pFile, bool isCompress, uint dKey);                //0023A4D8
  void CreateXmlDoc();                                                       //0023A5EC
  bool UncompressFailed();                                                   //0023A6D8

  CFTTXmlReaderNode XmlReaderNode_4;
  rapidxml::xml_document<> *pxml_doc_8;
  char *pXmlBuf_C;
  bool bClose_10;
};

#endif  //_CFTTXMLREADER_H_